Minecraft 1.11 Roadmap

Discussion in 'News and Announcements' started by md_5, Nov 9, 2016.

Thread Status:
Not open for further replies.
  1. Oh, I haven't experienced those :/

    Try this one.
     
  2. I hope @md_5 will add the Bukkit.getOnlinePlayers() method back instemde of the alternative.
    Due that change some plugins doesn't function good anymore.
     
  3. I guess you can patch this right? Or we're f*cked.
    Someone made a plugin fix, but it seems useless...
     
  4. if there were a way to emulate the playstyle of the older versions of minecraft on the newer versions, this wouldn't be an issue. As many have said before me this is not a matter of people being too lazy to update, but a matter of servers wanting to please players who still prefer the older pvp mechanics.
     
  5. Time to get to work on some new plugins! Whoohoo!
     
  6. Mikgreg

    Supporter

    There are ways to emulate it, but the issue is players will automatically avoid your server if you're updated, regardless of whether you advertise the fact that you're emulating the old style of PVP.
     
  7. This method is available in 1.10 but instead of returning an array of players it'll return a collection of objects extending player.
     
  8. Fast as always :) Keep up the awesome work.
     
  9. MiniDigger

    Supporter

    • Like Like x 1
    • Informative Informative x 1
  10. Bungeecord is now out!! You can find it on Jenkins.
    @md_5 , thank you!!!
     
  11. Thank you thank you thank you so much for this, and for all of your hard work. As a server admin for 5.5 years, I can't express how much I appreciate it!
     
  12. Paper patched it.
     
  13. MiniDigger

    Supporter

    it is also very easy to patch it using a plugin, just remove bad nbt tags if a player spawns in a item in creative
     
  14. *waits patiently*
     
  15. I am still using an 1.8 server because the new combat in 1.9.
    Is there a way to get 1.8 combat on 1.9 server?
     
  16. Yes. You can use a plugin to disable the cooldown.
     
  17. Read the top comment on this page ;)
     
  18. Whoops sorry :confused:
     
  19. JamesJ

    Supporter

    Server owners only demand it because they have to deal with 11 y/o's demanding it.

    Ultimately you can scream and plea that there are PvP plugins out there to fix the 1.9+ PvP, and the server owners can believe it all they want, but the players need to believe it..
     
  20. How are Cubecraft and Hypixel already supporting 1.11? Are they using their own modified version?
     
Thread Status:
Not open for further replies.

Share This Page